@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;700&display=swap');

:root {
    --softRed: hsl(10, 79%, 65%);
    --cyan: hsl(186, 34%, 60%);
    --darkBrown: hsl(25, 47%, 15%);
    --mediumBrown: hsl(28, 10%, 53%);
    --cream: hsl(27, 66%, 92%);
    --veryPaleOrange: hsl(33, 100%, 98%);
}

* {
    margin: 0;
    border: none;
    box-sizing: border-box;
    padding: 0;
}

body {
    background: var(--cream);
    color: var(--darkBrown);
    font-family: 'DM Sans', sans-serif;
    font-size: 18px;
}

/* Main */

main {
    margin-top: 67px;
    display: grid;
    place-items: center;
    gap: clamp(0px, 4.3vw, 24px);
}

.balance,
.expenses {
    width: 91.5%;
    max-width: 539px;
    border-radius: clamp(.55em, 1.4vw, 1.4vw);
}

.balance {
    background: var(--softRed);
    color: var(--veryPaleOrange);
    padding: 1.1em 1em 1.2em 1.1em;
    padding: clamp(0px, 5.3%, 27px) clamp(0px, 4.7%, 39px) clamp(0px, 5.7%, 25px) clamp(0px, 5.3%, 32px);
    display: grid;
    grid-template-columns: 1fr auto;
    place-items: stretch;
}

.balance img {
    height: clamp(0px, 71.5%, 48px);
    grid-column-start: 2;
    grid-row: span 3;
    place-self: center;
}

.balance p {
    color: var(--cream);
    font-size: clamp(15px, 1.24vw, 1.24vw);
}

.balance strong {
    margin-top: clamp(.16em, 1.7%, 1.7%);
    font-size: clamp(24.1px, 2.21vw, 2.21vw);
}

.expenses {
    background: var(--veryPaleOrange);
    padding: clamp(0px, 6.4%, 32px) clamp(0px, 5.4%, 40px) clamp(0px, 6.2%, 40px);
}

.expenses h1 {
    font-size: clamp(24.1px, 2.23vw, 2.23vw);
}

.expenses .weekly {
    margin-top: clamp(51px, 14.5%, 14.5%);
    display: flex;
    justify-content: space-between;
    gap: 4%;
}

.expenses .weekly .day {
    width: 100%;
    display: grid;
    align-content: end;
}

.expenses .weekly .day .graph {
    /* width: 100%;*/
    height: 100px;
    border-radius: clamp(.2em, .4vw, .4vw);
    background: var(--softRed);
    transition: 400ms;
}

.expenses .weekly .day .graph:hover {
    background: #ff9b87;
    transition: 400ms;
}

.expenses .weekly .day .graph:hover>.amount {
    visibility: visible;
}

.expenses .weekly .day .graph .amount {
    visibility: hidden;
    position: absolute;
    margin-top: -48px;
    margin-left: -10px;
    width: 71px;
    height: 40px;
    border-radius: 5px;
    background: var(--darkBrown);
    display: grid;
    place-items: center;
    color: white;
    font-weight: 700;
}

.expenses .weekly .day .highest {
    background: var(--cyan);
}

.expenses .weekly .day .highest:hover {
    background: #b4dfe5;
}

.expenses .weekly .day .highest .amount {
    margin-left: -12px;
    width: 75px;
}

.expenses .weekly .day .text {
    margin-top: 11px;
    color: var(--mediumBrown);
    text-align: center;
    font-size: clamp(12px, 1.05vw, 10vw);
}

hr {
    margin-top: clamp(24px, 7%, 10%);
    height: 2px;
    background: var(--cream);
}

.expenses .totals {
    margin-top: clamp(23px, 6.7%, 10%);
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}

.expenses .totals span {
    color: var(--mediumBrown);
    font-size: clamp(15.2px, 1.262vw, 1.262vw);
}

.expenses .totals .numbers-left {
    min-height: 65px;
    display: grid;
    align-content: space-between;
}

.expenses .totals .numbers-left strong {
    font-size: clamp(30px, 3.33vw, 3.33vw);
}

.expenses .totals .numbers-right {
    display: grid;
    text-align: right;
    line-height: clamp(19px, 1.65vw, 2vw);
    padding-bottom: clamp(0px, .6vw, 9px);
}

.expenses .totals .numbers-right strong {
    font-size: clamp(15px, 1.25vw, 1.25vw);
}

/* Footer */

.attribution {
    margin: clamp(1.5em, 5%, 5em) 0;
    font-size: 15px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 1000px) {
    main {
        margin-top: 182px;
    }

    .expenses .weekly .day .text {
        margin-top: 8px;
    }
}